
ChiliProject - Feature # 153: Renaming uploaded files and change their optional description

Status: Open Priority: Normal
Author: Jan Wedekind Category: File uploads
Created: 2011-02-07 Assignee:
Updated: 2011-02-09 Due date:
Remote issue URL:
Affected version:
Description: This pops up quite frequently from our users here: they want to be able to change the name of a file attached 

in e.g. the Wiki - or at least be able to add/modify the optional description. They can download and re-attach it 
of course, but that changes the name of the "uploader", which in collaborative projects looks bad (as if only 
ever the same person uploads documents).

Since Redmine handles the filename internally anyway differently I think this might be possible.

(I hope assigning the issue was right?)

Associated revisions
2012-02-22 10:53 pm - Felix SchÃ¤fer 
Merge pull request #153 from dfeyer/master

Fixes for Activity list column alignment

History
2011-02-08 10:23 pm - Eric Davis
- Assignee deleted (Eric Davis)

- Category changed from Wikis to File uploads

I'm not sure if changing the name of a file would work since it's used when downloading the file. We might have to do a rename/move on the filestystem 
too.

Editing the description would be possible though.

(We aren't assigning an issue unless someone is actively working on it. So "Open + Assigned to: Eric" means "Eric is working on it")

2011-02-09 08:31 am - Jan Wedekind
Changing the description would already be a great addition. Thanks for clearing up assignment!
